From: "Matthias Maier" <tamiko@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-libs/nanoflann/
Date: Mon, 14 Aug 2017 16:04:43 +0000 (UTC) [thread overview]
Message-ID: <1502726463.1bcd2a8084e8fc53227d9cf6a9e44dac5a08bd46.tamiko@gentoo> (raw)
commit: 1bcd2a8084e8fc53227d9cf6a9e44dac5a08bd46
Author: Matthias Maier <tamiko <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 14 16:00:43 2017 +0000
Commit: Matthias Maier <tamiko <AT> gentoo <DOT> org>
CommitDate: Mon Aug 14 16:01:03 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1bcd2a80
sci-libs/nanoflann: add a live ebuild
Package-Manager: Portage-2.3.6, Repoman-2.3.3
sci-libs/nanoflann/nanoflann-9999.ebuild | 41 ++++++++++++++++++++++++++++++++
1 file changed, 41 insertions(+)
diff --git a/sci-libs/nanoflann/nanoflann-9999.ebuild b/sci-libs/nanoflann/nanoflann-9999.ebuild
new file mode 100644
index 00000000000..2c8467c0046
--- /dev/null
+++ b/sci-libs/nanoflann/nanoflann-9999.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils
+
+DESCRIPTION="C++ header-only library for Nearest Neighbor (NN) search wih KD-trees"
+HOMEPAGE="https://github.com/jlblancoc/nanoflann"
+
+if [[ ${PV} = *9999* ]]; then
+ inherit git-r3
+ EGIT_REPO_URI="git://github.com/jlblancoc/nanoflann.git"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="https://github.com/jlblancoc/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE=""
+
+RDEPEND="dev-cpp/eigen:*"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ eapply_user
+
+ # do not compile examples
+ sed -ie 's/add_subdirectory(examples)//g' CMakeLists.txt || die "sed failed"
+}
+
+src_test() {
+ cd "${BUILD_DIR}" && emake -j1 test
+}
+
+src_compile() {
+ :
+}
next reply other threads:[~2017-08-14 16:04 UTC|newest]
Thread overview: 7+ messages / expand[flat|nested] mbox.gz Atom feed top
2017-08-14 16:04 Matthias Maier [this message]
-- strict thread matches above, loose matches on Subject: below --
2017-08-14 16:04 [gentoo-commits] repo/gentoo:master commit in: sci-libs/nanoflann/ Matthias Maier
2017-11-26 23:33 David Seifert
2021-01-24 13:49 David Seifert
2021-01-24 13:49 David Seifert
2021-01-24 13:49 David Seifert
2021-11-02 19:43 Sam James
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1502726463.1bcd2a8084e8fc53227d9cf6a9e44dac5a08bd46.tamiko@gentoo \
--to=tamiko@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox